JsonParserTokenManager (Grails 6.0.0)

Package: org.grails.web.json.parser

## [Java] Class JsonParserTokenManager

- org.grails.web.json.parser.JsonParserTokenManager

- All Implemented Interfaces and Traits:
    JsonParserConstants

      @java.lang.SuppressWarnings("unused")
      public class JsonParserTokenManager
      extends java.lang.Object
      implements JsonParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected char` | `curChar` |
    `int` | `curLexState` |
    `java.io.PrintStream` | `debugStream` | Debug output.
    `int` | `defaultLexState` |
    `protected SimpleCharStream` | `input_stream` |
    `static long[]` | `jjbitVec0` |
    `static long[]` | `jjbitVec2` |
    `int` | `jjmatchedKind` |
    `int` | `jjmatchedPos` |
    `static int[]` | `jjnewLexState` | Lex State array.
    `int` | `jjnewStateCnt` |
    `static int[]` | `jjnextStates` |
    `int` | `jjround` |
    `private int[]` | `jjrounds` |
    `private int[]` | `jjstateSet` |
    `static java.lang.String[]` | `jjstrLiteralImages` | Token literal values.
    `static long[]` | `jjtoMore` |
    `static long[]` | `jjtoSkip` |
    `static long[]` | `jjtoToken` |
    `static java.lang.String[]` | `lexStateNames` | Lexer state names.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonParserTokenManager (SimpleCharStream stream)` Constructor.
    `JsonParserTokenManager (SimpleCharStream stream, int lexState)` Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
    `` | `public void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
    `` | `private void` | `ReInitRounds()`
    `` | `public void` | `SwitchTo(int lexState)` Switch to specified lex state.
    `` | `public Token` | `getNextToken()` Get the next Token.
    `` | `private void` | `jjAddStates(int start, int end)`
    `` | `private static final boolean` | `jjCanMove_0(int hiByte, int i1, int i2, long l1, long l2)`
    `` | `private void` | `jjCheckNAdd(int state)`
    `` | `private void` | `jjCheckNAddStates(int start, int end)`
    `` | `private void` | `jjCheckNAddTwoStates(int state1, int state2)`
    `` | `protected Token` | `jjFillToken()`
    `` | `private int` | `jjMoveNfa_0(int startState, int curPos)`
    `` | `private int` | `jjMoveNfa_1(int startState, int curPos)`
    `` | `private int` | `jjMoveNfa_2(int startState, int curPos)`
    `` | `private int` | `jjMoveNfa_3(int startState, int curPos)`
    `` | `private int` | `jjMoveStringLiteralDfa0_0()`
    `` | `private int` | `jjMoveStringLiteralDfa0_1()`
    `` | `private int` | `jjMoveStringLiteralDfa0_2()`
    `` | `private int` | `jjMoveStringLiteralDfa0_3()`
    `` | `private int` | `jjMoveStringLiteralDfa1_0(long active0)`
    `` | `private int` | `jjMoveStringLiteralDfa2_0(long old0, long active0)`
    `` | `private int` | `jjMoveStringLiteralDfa3_0(long old0, long active0)`
    `` | `private int` | `jjMoveStringLiteralDfa4_0(long old0, long active0)`
    `` | `private int` | `jjStartNfaWithStates_0(int pos, int kind, int state)`
    `` | `private final int` | `jjStartNfa_0(int pos, long active0)`
    `` | `private final int` | `jjStartNfa_1(int pos, long active0)`
    `` | `private final int` | `jjStartNfa_2(int pos, long active0)`
    `` | `private int` | `jjStopAtPos(int pos, int kind)`
    `` | `private final int` | `jjStopStringLiteralDfa_0(int pos, long active0)`
    `` | `private final int` | `jjStopStringLiteralDfa_1(int pos, long active0)`
    `` | `private final int` | `jjStopStringLiteralDfa_2(int pos, long active0)`
    `` | `public void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected char curChar

    - #### int curLexState

    - #### public java.io.PrintStream debugStream

      Debug output.

    - #### int defaultLexState

    - #### protected SimpleCharStream input_stream

    - #### static final long[] jjbitVec0

    - #### static final long[] jjbitVec2

    - #### int jjmatchedKind

    - #### int jjmatchedPos

    - #### public static final int[] jjnewLexState

      Lex State array.

    - #### int jjnewStateCnt

    - #### static final int[] jjnextStates

    - #### int jjround

    - #### private final int[] jjrounds

    - #### private final int[] jjstateSet

    - #### public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### static final long[] jjtoMore

    - #### static final long[] jjtoSkip

    - #### static final long[] jjtoToken

    - #### public static final java.lang.String[] lexStateNames

      Lexer state names.

  - ### Constructor Detail

    - #### public JsonParserTokenManager(SimpleCharStream stream)

      Constructor.

    - #### public JsonParserTokenManager(SimpleCharStream stream, int lexState)

      Constructor.

  - ### Method Detail

    - #### public void ReInit(SimpleCharStream stream)

      Reinitialise parser.

    - #### public void ReInit(SimpleCharStream stream, int lexState)

      Reinitialise parser.

    - #### private void ReInitRounds()

    - #### public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### public Token getNextToken()

      Get the next Token.

    - #### private void jjAddStates(int start, int end)

    - #### private static final boolean jjCanMove_0(int hiByte, int i1, int i2, long l1, long l2)

    - #### private void jjCheckNAdd(int state)

    - #### private void jjCheckNAddStates(int start, int end)

    - #### private void jjCheckNAddTwoStates(int state1, int state2)

    - #### protected Token jjFillToken()

    - #### private int jjMoveNfa_0(int startState, int curPos)

    - #### private int jjMoveNfa_1(int startState, int curPos)

    - #### private int jjMoveNfa_2(int startState, int curPos)

    - #### private int jjMoveNfa_3(int startState, int curPos)

    - #### private int jjMoveStringLiteralDfa0_0()

    - #### private int jjMoveStringLiteralDfa0_1()

    - #### private int jjMoveStringLiteralDfa0_2()

    - #### private int jjMoveStringLiteralDfa0_3()

    - #### private int jjMoveStringLiteralDfa1_0(long active0)

    - #### private int jjMoveStringLiteralDfa2_0(long old0, long active0)

    - #### private int jjMoveStringLiteralDfa3_0(long old0, long active0)

    - #### private int jjMoveStringLiteralDfa4_0(long old0, long active0)

    - #### private int jjStartNfaWithStates_0(int pos, int kind, int state)

    - #### private final int jjStartNfa_0(int pos, long active0)

    - #### private final int jjStartNfa_1(int pos, long active0)

    - #### private final int jjStartNfa_2(int pos, long active0)

    - #### private int jjStopAtPos(int pos, int kind)

    - #### private final int jjStopStringLiteralDfa_0(int pos, long active0)

    - #### private final int jjStopStringLiteralDfa_1(int pos, long active0)

    - #### private final int jjStopStringLiteralDfa_2(int pos, long active0)

    - #### public void setDebugStream(java.io.PrintStream ds)

      Set debug output.